###############################################################################
#
# Note: mandrake.spec is automatically generated from mandrake.spec.in
# If you are looking at "mandrake.spec", any changes you make will be
# overwritten next time "mandrake.spec.in" is processed.
#
###############################################################################
#
# To build RPMs from this spec file, you need some basic RPM stuff set up in
# your account. Do not do any of this stuff as root, and consider even setting
# up an account for nothing other than making RPMs...
#
# You need to create the following directories;
#   mkdir -p ~/rpm/{BUILD,RPMS/noarch,SOURCES,SRPMS,SPECS,tmp}
#
# On x86 machines, you should also add;
#   mkdir -p ~/rpm/RPMS/{i386,i486,i586,i686,athlon,k6}
#
# You then need two config files setup in your account (ignore the asterisk and
# space at the beginning of each line, and replace "$HOME" with your home
# directory as it will not be expanded automatically);
#
# cat > ~/.rpmrc << EOF
# buildarchtranslate: i386: i586
# buildarchtranslate: i486: i586
# buildarchtranslate: i586: i586
# buildarchtranslate: i686: i586
# EOF
#
# cat > ~/.rpmmacros << EOF
# %_topdir               $HOME/rpm
# %_tmppath              $HOME/rpm/tmp
# %distribution          Mandrake Linux
# %vendor                none
# EOF
#
# Once all that's done you're almost ready to go. The main step-by-step
# instructions will apply to a released distcache 'bz2' tarball. If you're
# working from a fresh CVS checkout, do the following to create such a tarball;
#
# (1) run ./bootstrap.sh to generate "./configure" and Makefile.in files
# (2) run "./configure"
# (3) run "make dist-bzip2"
#
# The resulting distcache-X.X.tar.bz2 tarball should be in the top-level
# directory.
#
# Redhat, Suse, etc: If you are building for a target system whose RPM layout
# is not like that of Mandrake, consider replacing BOTH of the group
# directives;
#             Group: Networking/Other
# to match an appropriate group for the target distribution. Note, the second
# declaration is in the "devel" RPM section.
#
# Now you have a 'bz2' tarball, the steps to building the RPMs are relatively
# straightforward;
#
# (1) copy the tarball to the RPM 'SOURCES' directory;
#         mv distcache-X.X.tar.bz2 ~/rpm/SOURCES/
# (2) point directly to this spec file when running the rpm build command;
#         rpm -ba distcache-X.X/devel/mandrake.spec
#
# If all goes well, the last line of output should mention "exit 0" and there
# should be new RPMs living in ~/rpm/RPMS/[xxx] and ~/rpm/SRPMS, where [xxx]
# is the architecture of your build system. To build redistributable RPMs, you
# can build for various architectures as follows;
#
#   rpm -ba --target i386-unknown-linux distcache-X.X/devel/mandrake.spec
#   rpm -ba --target i486-unknown-linux distcache-X.X/devel/mandrake.spec
#   rpm -ba --target i586-unknown-linux distcache-X.X/devel/mandrake.spec
#   rpm -ba --target i686-unknown-linux distcache-X.X/devel/mandrake.spec
#   rpm -ba --target athlon-unknown-linux distcache-X.X/devel/mandrake.spec
#   rpm -ba --target k6-unknown-linux distcache-X.X/devel/mandrake.spec
#


#############
# Setup stuff
#############

%define name distcache
%define version 1.4.1
%define release 1

# RPM information
Name: %{name}
Summary: Programs to provide a distributed session caching architecture
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/distcache/%{name}-%{version}.tar.bz2
URL: http://www.distcache.org/
Group: Networking/Other
Buildroot: %{_tmppath}/%{name}-buildroot
License: LGPL
Packager: Distcache project
# No requirments yet
#Requires:

# RPM information: "devel"
%package devel
Summary: Libraries and header files for building distcache-compatible software
Group: Networking/Other

# RPM information: "sslswamp"
%package sslswamp
Summary: Utility for testing and benchmarking SSL/TLS servers
Group: Networking/Other

# RPM description
%description
This package provides tools from the distcache project to deploy a distributed
session caching environment. This is most notably useful for SSL/TLS session
caching with supported OpenSSL-based applications. The caching protocol and API
is independent of SSL/TLS specifics and could be useful in other (non-SSL/TLS)
circumstances.

# RPM information: "devel"
%description devel
This package includes the static libraries and header files from the distcache
project that are required to compile distcache-compatible software. At present
the policy of the distcache project is to use static-linking so there are no
shared-libraries in the base package nor this "devel" package.

# RPM information: "sslswamp"
%description sslswamp
This package provides the sslswamp utility for benchmarking and testing SSL/TLS
servers. This utility used to be known as just 'swamp' but has been renamed as
part of its inclusion into the distcache package. The most common use of this
tool is for testing HTTPS (secure) web servers though it could be useful for
other SSL/TLS cases.

######################
# Prepare for building
######################

%prep
rm -rf $RPM_BUILD_ROOT
%setup

#######
# Build
#######

%build
INSTALL_PROGRAM="/usr/bin/install --strip" %configure
make

#########
# Install
#########

%install
%makeinstall

#######
# Clean
#######

%clean
rm -rf $RPM_BUILD_ROOT

###########################
# Assemble package contents
###########################

# RPM files
%files
%defattr(-,root,root,0755)
%doc README ANNOUNCE CHANGES FAQ LICENSE
%{_mandir}/man1/d*.1*
%{_mandir}/man8/d*.8*
%{_bindir}/d*

# RPM files: "devel"
%files devel
%{_includedir}/libnal/*.h
%{_includedir}/distcache/*.h
%{_libdir}/libnal.*
%{_libdir}/libdistcache.*
%{_libdir}/libdistcacheserver.*
%{_mandir}/man2/*.2*

# RPM files: "sslswamp"
%files sslswamp
%{_mandir}/man1/s*.1*
%{_bindir}/s*
%{_datadir}/swamp/*.pem

#########
# Changes
#########

%changelog
* Wed May 28 2003 Geoff Thorpe <geoff@geoffthorpe.net> 1.4.1-1
- Release distcache version 1.4.1
- Use build RPM macros for running configure
- Create the distcache-sslswamp package for the new ssl/swamp code.

* Mon May 12 2003 Geoff Thorpe <geoff@geoffthorpe.net> 0.4-1
- Release distcache version 0.4.

* Sun Mar 16 2003 Geoff Thorpe <geoff@geoffthorpe.net> 0.4pre2-1
- The destination package group for the two RPMs have been corrected
- this spec is now generated from mandrake.spec.in for version substitution
- released with 0.4pre2 version of distcache.

* Sun Mar 09 2003 Geoff Thorpe <geoff@geoffthorpe.net> 0.4pre1-1
- split into two RPMs (distcache and distcache-devel)
- created from Mandrake's excellent HOWTO

